batik 1.7.ubuntu-4ubuntu1 source package in Ubuntu

Changelog

batik (1.7.ubuntu-4ubuntu1) karmic; urgency=low

  * Fakesync from Debian unstable. Version number bumped because the
    previous Ubuntu version 1.7.dfsg is greater than 1.7.
  * debian/rules:
    - Added a VERSION variable to strip .ubuntu from DEB_UPSTREAM_VERSION,
      to ensure correct version (1.7) in jar names.

batik (1.7-4) unstable; urgency=low

  * Porting fixes from Ubuntu (1.7.dfsg-0ubuntu3) by Onkar Shinde
    <email address hidden>:
    - add xml-apis-ext and js to classpath for debian/wrappers/squiggle
    - promote rhino to a Recommends, as squiggle depends on it
    - debian/patches/06_fix_paths_in_policy_files.patch to fix the paths
      of the security policy files
  * This finally makes squiggle work for Debian ! (closes: #499852)
    Many thanks again to Onkar...

batik (1.7-3) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/rules
    - Use DEB_UPSTREAM_VERSION at all places.
    - Add symlinks batik-<version>.jar and batik.jar pointing to
      batik-all-<version>.jar. (Closes: #522340)
  * debian/control
    - Add myself to 'Uploaders'.

  [ Vincent Fourmond ]
  * Changed section to java, what currently is in the archive
  * Already conforms to standard 3.8.1
  * Bumped debhelper compatibility level to 5, and bumped Build-depends
    accordingly

batik (1.7-2) unstable; urgency=low

  * Adding xmlgraphics-commons-1.2 and xml-apis-ext to the jars for
    the build + corresponding build-deps
  * Added Vcs-* fields

  [ Sylvestre Ledru ]
  * Build class version 49 (instead of 50)

  [ Vincent Fourmond ]
  * Minor updates to the debian/copyright file
  * It seems time has come for an upload to unstable...
  * Adding ${misc:Depends} for potential debhelper-induced dependencies
  * Tweaking rasterizer.1 to avoid unbreakable lines

batik (1.7-1) experimental; urgency=low

  * New upstream release (Closes: #417888, #490556)
  * Switched to using java-wrappers for executables; dropping the
    /usr/lib/java/wrappers.sh script
  * Switched debian/copyright to a machine-readable format
  * Added ANT_OPTS to fix the compiler out of memory problem
  * Removing 02_fix_jar_target, no longer applicable
  * Removing 01_build_xml, as the created target (pdf-transcoder) cannot
    be built anymore
  * Fixed JAVA_HOME_DIRS so it can build with Sun's java 5
  * Strip the full text of the Apache-2.0 license, as it now is
    in the common licenses
  * Switch to openjdk-6-jdk for building (closes: #397562)
  * Several tweaks in debian/rules to build and install all the jars,
    based on a patch by Sylvestre Ledru <email address hidden>
  * Now depends also on libxml-commons-external-java for SVG parsing
  * Conforms to standards 3.8.0
  * Updated rasterizer.sh to work with libxml-commons-external-java
    and openjdk (closes: #490621)
  * Move wrapper scripts to debian/wrappers, updating debian/rules
    accordingly
  * Recommend fop for PDF output of rasterizer
  * Removed README.Debian-source: we don't add the fop sources anymore
    as those are already packaged in the fop debian package
  * Uploading to experimental, as there are potentially much too many
    disruptive changes to this package.

 -- Maia Kozheva <email address hidden>   Thu, 07 May 2009 20:42:20 +0700

Upload details

Uploaded by:
Maia Everett on 2009-05-07
Uploaded to:
Karmic
Original maintainer:
MOTU
Architectures:
all
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Karmic: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
batik_1.7.ubuntu.orig.tar.gz 11.9 MiB ad4b3cc786f067eff03a9e30f7f9d43ddca749b36be267ee4eb437a02f3a0bc0
batik_1.7.ubuntu-4ubuntu1.diff.gz 9.8 KiB 7c2d0d40c142af1a333c828c11f337933aaa3f2ab98019b8d3857ba5e9561b4a
batik_1.7.ubuntu-4ubuntu1.dsc 1.7 KiB c61d259e242f2541341ffe285efb5936cd228e436787f81c1be429a6482f76ba

View changes file

Binary packages built by this source

libbatik-java: No summary available for libbatik-java in ubuntu natty.

No description available for libbatik-java in ubuntu natty.